## ros-kinetic-microstrain-mips 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(microstrain_mips)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roslint
  message_generation
  geometry_msgs
  nav_msgs
  roscpp
  sensor_msgs
  std_msgs
  std_srvs
  tf2
  tf2_ros
  diagnostic_updater
)

set(CMAKE_C_FLAGS "-Wno-implicit-function-declaration -Wno-incompatible-pointer-types -Wno-format -fno-builtin-memcpy")

add_message_files(
  FILES
  status_msg.msg
)

add_service_files(
  FILES
  SetAccelBias.srv
  SetGyroBias.srv
  SetHardIronValues.srv
  SetSoftIronMatrix.srv
  SetComplementaryFilter.srv
  SetFilterEuler.srv
  SetFilterHeading.srv
  SetAccelBiasModel.srv
  SetAccelAdaptiveVals.srv
  SetSensorVehicleFrameTrans.srv
  SetSensorVehicleFrameOffset.srv
  SetReferencePosition.srv
  SetConingScullingComp.srv
  SetEstimationControlFlags.srv
  SetDynamicsMode.srv
  SetZeroAngleUpdateThreshold.srv
  SetTareOrientation.srv
  SetAccelNoise.srv
  SetGyroNoise.srv
  SetMagNoise.srv
  SetGyroBiasModel.srv
  SetAccelAdaptiveVals.srv
  SetMagAdaptiveVals.srv
  SetMagDipAdaptiveVals.srv
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need

generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    roscpp
    cmake_modules
    tf2
    tf2_ros
    std_msgs
    std_srvs
    geometry_msgs
    sensor_msgs
    nav_msgs
    message_runtime
)
###########
## Build ##
###########

# Directories containing MIP SDK header files
set(MIPLIBINC MIPSDK/C/Library/Include)
set(MIPLIBSRC MIPSDK/C/Library/Source)
set(MIPUTILINC MIPSDK/C/Utilities/Include)
set(MIPUTILSRC MIPSDK/C/Utilities/Source)

# The SDK comes with a skeleton for the user-defined functions
# It might be helpful to test compilation against these skeletons
# contains both .c and .h files
# set(MIPUSR "MIPSDK/C/Library/User\ Functions")
#include_directories(include ${MIPLIBINC} ${MIPUTILINC} ${MIPUSR})
include_directories(include/${PROJECT_NAME} ${MIPLIBINC} ${MIPUTILINC} ${catkin_INCLUDE_DIRS})

set(MIPINC
  ${MIPLIBINC}/mip.h
  ${MIPLIBINC}/mip_sdk_base.h
  ${MIPLIBINC}/mip_sdk_inteface.h
  ${MIPLIBINC}/mip_sdk_3dm.h
  ${MIPLIBINC}/mip_sdk_filter.h
  ${MIPLIBINC}/mip_sdk_system.h
  ${MIPLIBINC}/mip_sdk_ahrs.h
  ${MIPLIBINC}/mip_sdk_gps.h
  ${MIPLIBINC}/ring_buffer.h
#  ${MIPUSR}/mip_sdk_user_functions.h
  ${MIPUTILINC}/byteswap_utilities.h
)

set(MIPSRC
  ${MIPLIBSRC}/mip.c
  ${MIPLIBSRC}/mip_sdk_base.c
  ${MIPLIBSRC}/mip_sdk_inteface.c
  ${MIPLIBSRC}/mip_sdk_3dm.c
  ${MIPLIBSRC}/mip_sdk_filter.c
  ${MIPLIBSRC}/mip_sdk_system.c
  ${MIPLIBSRC}/mip_sdk_ahrs.c
  ${MIPLIBSRC}/mip_sdk_gps.c
  ${MIPLIBSRC}/ring_buffer.c
#  ${MIPUSR}/mip_sdk_user_functions.c
  ${MIPUTILSRC}/byteswap_utilities.c
)

# Libraries
add_library(microstrain_mips
  src/microstrain_3dm.cpp
  src/mip_sdk_user_functions.c
  #src/GX4-45_Test.cpp
  ${MIPSRC}
)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS})

add_library(microstrain_diagnostic_updater src/microstrain_diagnostic_updater.cpp)
add_dependencies(microstrain_diagnostic_updater ${${PROJECT_NAME}_EXPORTED_TARGETS})

# Executables
add_executable(GX4-45_Test
  src/GX4-45_Test.c
  src/mip_sdk_user_functions.c
  ${MIPSRC}
)

add_executable(microstrain_mips_node
  src/microstrain_3dm_node.cpp
  src/microstrain_diagnostic_updater.cpp
)

add_dependencies(microstrain_mips_node
  microstrain_mips_gencpp
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
)
add_executable(set_accel_bias_client src/set_accel_bias_client.cpp)

add_executable(get_accel_bias_client src/get_accel_bias_client.cpp)

add_executable(set_gyro_bias_client src/set_gyro_bias_client.cpp)

add_executable(get_gyro_bias_client src/get_gyro_bias_client.cpp)

add_executable(set_hard_iron_values_client src/set_hard_iron_values_client.cpp)

add_executable(get_hard_iron_values_client src/get_hard_iron_values_client.cpp)

add_executable(device_report_client src/device_report_client.cpp)

add_executable(gyro_bias_capture_client src/gyro_bias_capture_client.cpp)

add_executable(set_soft_iron_matrix_client src/set_soft_iron_matrix_client.cpp)

add_executable(get_soft_iron_matrix_client src/get_soft_iron_matrix_client.cpp)

add_executable(set_complementary_filter_client src/set_complementary_filter_client.cpp)

add_executable(get_complementary_filter_client src/get_complementary_filter_client.cpp)

add_executable(set_filter_euler_client src/set_filter_euler_client.cpp)

add_executable(set_filter_heading_client src/set_filter_heading_client.cpp)

add_executable(set_accel_bias_model_client src/set_accel_bias_model_client.cpp)

add_executable(set_accel_adaptive_vals_client src/set_accel_adaptive_vals_client.cpp)

add_executable(set_sensor_vehicle_frame_trans_client src/set_sensor_vehicle_frame_trans_client.cpp)

add_executable(get_sensor_vehicle_frame_trans_client src/get_sensor_vehicle_frame_trans_client.cpp)

add_executable(set_sensor_vehicle_frame_offset_client src/set_sensor_vehicle_frame_offset_client.cpp)

add_executable(get_sensor_vehicle_frame_offset_client src/get_sensor_vehicle_frame_offset_client.cpp)

add_executable(set_reference_position_client src/set_reference_position_client.cpp)

add_executable(get_reference_position_client src/get_reference_position_client.cpp)

add_executable(set_coning_sculling_comp_client src/set_coning_sculling_comp_client.cpp)

add_executable(get_coning_sculling_comp_client src/get_coning_sculling_comp_client.cpp)

add_executable(set_estimation_control_flags_client src/set_estimation_control_flags_client.cpp)

add_executable(get_estimation_control_flags_client src/get_estimation_control_flags_client.cpp)

add_executable(set_dynamics_mode_client src/set_dynamics_mode_client.cpp)

add_executable(get_dynamics_mode_client src/get_dynamics_mode_client.cpp)

add_executable(get_basic_status_client src/get_basic_status_client.cpp)

add_executable(get_diagnostic_report_client src/get_diagnostic_report_client.cpp)

add_executable(set_zero_angle_update_threshold_client src/set_zero_angle_update_threshold_client.cpp)

add_executable(get_zero_angle_update_threshold_client src/get_zero_angle_update_threshold_client.cpp)

add_executable(set_tare_orientation_client src/set_tare_orientation_client.cpp)

add_executable(set_accel_noise_client src/set_accel_noise_client.cpp)

add_executable(get_accel_noise_client src/get_accel_noise_client.cpp)

add_executable(set_gyro_noise_client src/set_gyro_noise_client.cpp)

add_executable(get_gyro_noise_client src/get_gyro_noise_client.cpp)

add_executable(set_mag_noise_client src/set_mag_noise_client.cpp)

add_executable(get_mag_noise_client src/get_mag_noise_client.cpp)

add_executable(set_gyro_bias_model_client src/set_gyro_bias_model_client.cpp)

add_executable(get_gyro_bias_model_client src/get_gyro_bias_model_client.cpp)

add_executable(get_accel_adaptive_vals_client src/get_accel_adaptive_vals_client.cpp)

add_executable(set_mag_adaptive_vals_client src/set_mag_adaptive_vals_client.cpp)

add_executable(get_mag_adaptive_vals_client src/get_mag_adaptive_vals_client.cpp)

add_executable(set_mag_dip_adaptive_vals_client src/set_mag_dip_adaptive_vals_client.cpp)

add_executable(get_mag_dip_adaptive_vals_client src/get_mag_dip_adaptive_vals_client.cpp)

add_executable(get_accel_bias_model_client src/get_accel_bias_model_client.cpp)

add_dependencies(set_accel_bias_client microstrain_mips_gencpp)

add_dependencies(set_accel_bias_client microstrain_mips_gencpp)

add_dependencies(get_accel_bias_client microstrain_mips_gencpp)

add_dependencies(set_gyro_bias_client microstrain_mips_gencpp)

add_dependencies(get_gyro_bias_client microstrain_mips_gencpp)

add_dependencies(set_hard_iron_values_client microstrain_mips_gencpp)

add_dependencies(get_hard_iron_values_client microstrain_mips_gencpp)

add_dependencies(device_report_client microstrain_mips_gencpp)

add_dependencies(gyro_bias_capture_client microstrain_mips_gencpp)

add_dependencies(set_soft_iron_matrix_client microstrain_mips_gencpp)

add_dependencies(set_complementary_filter_client microstrain_mips_gencpp)

add_dependencies(get_complementary_filter_client microstrain_mips_gencpp)

add_dependencies(set_filter_euler_client microstrain_mips_gencpp)

add_dependencies(set_filter_heading_client microstrain_mips_gencpp)

add_dependencies(set_accel_bias_model_client microstrain_mips_gencpp)

add_dependencies(set_accel_adaptive_vals_client microstrain_mips_gencpp)

add_dependencies(set_sensor_vehicle_frame_trans_client microstrain_mips_gencpp)

add_dependencies(get_sensor_vehicle_frame_trans_client microstrain_mips_gencpp)

add_dependencies(set_sensor_vehicle_frame_offset_client microstrain_mips_gencpp)

add_dependencies(get_sensor_vehicle_frame_offset_client microstrain_mips_gencpp)

add_dependencies(set_reference_position_client microstrain_mips_gencpp)

add_dependencies(get_reference_position_client microstrain_mips_gencpp)

add_dependencies(set_coning_sculling_comp_client microstrain_mips_gencpp)

add_dependencies(get_coning_sculling_comp_client microstrain_mips_gencpp)

add_dependencies(set_estimation_control_flags_client microstrain_mips_gencpp)

add_dependencies(get_estimation_control_flags_client microstrain_mips_gencpp)

add_dependencies(set_dynamics_mode_client microstrain_mips_gencpp)

add_dependencies(get_dynamics_mode_client microstrain_mips_gencpp)

add_dependencies(get_basic_status_client microstrain_mips_gencpp)

add_dependencies(get_diagnostic_report_client microstrain_mips_gencpp)

add_dependencies(set_zero_angle_update_threshold_client microstrain_mips_gencpp)

add_dependencies(get_zero_angle_update_threshold_client microstrain_mips_gencpp)

add_dependencies(set_tare_orientation_client microstrain_mips_gencpp)

add_dependencies(set_accel_noise_client microstrain_mips_gencpp)

add_dependencies(get_accel_noise_client microstrain_mips_gencpp)

add_dependencies(set_gyro_noise_client microstrain_mips_gencpp)

add_dependencies(get_gyro_noise_client microstrain_mips_gencpp)

add_dependencies(set_mag_noise_client microstrain_mips_gencpp)

add_dependencies(get_mag_noise_client microstrain_mips_gencpp)

add_dependencies(set_gyro_bias_model_client microstrain_mips_gencpp)

add_dependencies(get_gyro_bias_model_client microstrain_mips_gencpp)

add_dependencies(get_accel_adaptive_vals_client microstrain_mips_gencpp)

add_dependencies(set_mag_adaptive_vals_client microstrain_mips_gencpp)

add_dependencies(get_mag_adaptive_vals_client microstrain_mips_gencpp)

add_dependencies(set_mag_dip_adaptive_vals_client microstrain_mips_gencpp)

add_dependencies(get_mag_dip_adaptive_vals_client microstrain_mips_gencpp)

add_dependencies(get_accel_bias_model_client microstrain_mips_gencpp)


# Linking
target_link_libraries(GX4-45_Test rt)

target_link_libraries(microstrain_mips
  ${catkin_LIBRARIES}
)
target_link_libraries(microstrain_mips_node
  microstrain_mips
  ${catkin_LIBRARIES}
)


target_link_libraries(set_accel_bias_client ${catkin_LIBRARIES})

target_link_libraries(get_accel_bias_client ${catkin_LIBRARIES})

target_link_libraries(set_gyro_bias_client ${catkin_LIBRARIES})

target_link_libraries(get_gyro_bias_client ${catkin_LIBRARIES})

target_link_libraries(set_hard_iron_values_client ${catkin_LIBRARIES})

target_link_libraries(get_hard_iron_values_client ${catkin_LIBRARIES})

target_link_libraries(device_report_client ${catkin_LIBRARIES})

=== MIPSDK/C/Examples/Linux/GX3-35/GX3_35_Test/Makefile ===
#
# Makefile for MIP SDK Example for the GX3_35_TEST (linux version)
#
# Written by: Greggory P. Carpenter
#
# Copyright: LORD MicroStrain 2014
#
# This Makefile configured to work under GNU Make in linux with the gcc 
# compiler, but should be compatible with ANY C compiler on a system which 
# supports GNU Make or compatible Make alternative given appropriate 
# configuration. 
#
#
# THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING            
# CUSTOMERS WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER          
# FOR THEM TO SAVE TIME. AS A RESULT, MICROSTRAIN SHALL NOT BE HELD LIABLE     
# FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY        
# CLAIMS ARISING FROM THE CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY      
# CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH      
# THEIR PRODUCTS.
#
##############################################################################  

#Name of project executable binary
PROJNAME = GX3_35_TEST

#Name of Project Main source file
PROJ_SRC = GX3_35_Test.c

#Relative paths to include headers 
INCLUDE_DIRECTORIES = ../../../../Utilities/Include \
                      ../../../../Library/Include ./ \

#Realtive path to Utility source files
UTIL_DIR = ../../../../Utilities/Source

#Relative path to Library source files
LIB_DIR = ../../../../Library/Source

#Generate compiler inlcude flags from specified include directories
INCS += $(addprefix -I,$(INCLUDE_DIRECTORIES))

#Specify Library source files
LIB_SRCS := mip_sdk_system.c mip_sdk_base.c mip_sdk_gps.c mip.c \
            mip_sdk_3dm.c ring_buffer.c mip_sdk_inteface.c mip_sdk_filter.c \
            mip_sdk_ahrs.c

#Generate object file names from specified Library source files
LIB_OBJS := $(LIB_SRCS:.c=.o)

#Local source files
LOCAL_SRCS := mip_sdk_user_functions.c 

#Generate object file names from local source files
LOCAL_OBJS := $(LOCAL_SRCS:.c=.o)

#Utility source files
UTIL_SRCS := byteswap_utilities.c 

#Generate object file names from specified Utility source files
UTIL_OBJS := $(UTIL_SRCS:.c=.o)

#C compiler used for compiling project
CC=gcc

#Compile flags for Project binary
PROJ_CFLAGS = -w

#Compile flags for object files
CFLAGS = -c -w

#To ENABLE Serial Port communication, comment out this line
CFLAGS += -DUSE_USB_CONNECTION

#linking flags for linking compiler
LFLAGS = -lrt

#Remove command used to remove unwanted object files and project binary
#at `clean' command
RM = rm #-i 

#Make rules for the Project executable
$(PROJNAME): $(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(PROJ_SRC)
	$(CC) $(INCS) $(PROJ_CFLAGS) -o $(PROJNAME) $(PROJ_SRC) \
	$(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(LFLAGS) 

#Make rules for the Utility source files
$(UTIL_OBJS):
	$(CC) $(INCS) $(CFLAGS) $(UTIL_DIR)/$*.c $(LFLAGS) 

#Make rules for the Library source files
$(LIB_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $(LIB_DIR)/$*.c $(LFLAGS) 

#Make rules for the local source files
$(LOCAL_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $*.c $(LFLAGS) 

#Remove all object files
clean:
	$(foreach filename, $(wildcard *.o), $(RM) $(filename);)

#Remove all object files and the project executable
clean_all:
	$(foreach filename, $(wildcard *.o $(PROJNAME)), $(RM) $(filename);)

#Object file dependencies below, each represents the location of the source
#code for the specified object file as well as all included headers in that 
#source.  (NOTE: Non-system headers ONLY are included below, host system should
#be configured to include all system headers automatically as the paths to 
#header files may vary by system.)  If the file structure referred to below is
#changed these paths will need to be updated
mip_sdk_user_functions.o: mip_sdk_user_functions.c \
 mip_sdk_user_functions.h ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h 

byteswap_utilities.o: ../../../../Utilities/Source/byteswap_utilities.c \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_system.o: ../../../../Library/Source/mip_sdk_system.c \
 ../../../../Library/Include/mip_sdk_system.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_base.o: ../../../../Library/Source/mip_sdk_base.c \
 ../../../../Library/Include/mip_sdk_base.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_gps.o: ../../../../Library/Source/mip_sdk_gps.c \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip.o: ../../../../Library/Source/mip.c ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_3dm.o: ../../../../Library/Source/mip_sdk_3dm.c \
 ../../../../Library/Include/mip_sdk_3dm.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip_sdk_ahrs.h

ring_buffer.o: ../../../../Library/Source/ring_buffer.c \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Library/Include/mip_types.h 

mip_sdk_inteface.o: ../../../../Library/Source/mip_sdk_inteface.c \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_filter.o: ../../../../Library/Source/mip_sdk_filter.c \
 ../../../../Library/Include/mip_sdk_filter.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_system.h

mip_sdk_ahrs.o: ../../../../Library/Source/mip_sdk_ahrs.c \
 ../../../../Library/Include/mip_sdk_ahrs.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

=== MIPSDK/C/Examples/Linux/GX3-45/GX3_45_Test/Makefile ===
#
# Makefile for MIP SDK Example for the GX3_45_TEST (linux version)
#
# Written by: Greggory P. Carpenter
#
# Copyright: LORD MicroStrain 2014
#
# This Makefile configured to work under GNU Make in linux with the gcc 
# compiler, but should be compatible with ANY C compiler on a system which 
# supports GNU Make or compatible Make alternative given appropriate 
# configuration. 
#
#
# THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING            
# CUSTOMERS WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER          
# FOR THEM TO SAVE TIME. AS A RESULT, MICROSTRAIN SHALL NOT BE HELD LIABLE     
# FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY        
# CLAIMS ARISING FROM THE CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY      
# CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH      
# THEIR PRODUCTS.
#
##############################################################################  

#Name of project executable binary
PROJNAME = GX3_45_TEST

#Name of Project Main source file
PROJ_SRC = GX3_45_Test.c

#Relative paths to include headers 
INCLUDE_DIRECTORIES = ../../../../Utilities/Include \
                      ../../../../Library/Include ./ \

#Realtive path to Utility source files
UTIL_DIR = ../../../../Utilities/Source

#Relative path to Library source files
LIB_DIR = ../../../../Library/Source

#Generate compiler inlcude flags from specified include directories
INCS += $(addprefix -I,$(INCLUDE_DIRECTORIES))

#Specify Library source files
LIB_SRCS := mip_sdk_system.c mip_sdk_base.c mip_sdk_gps.c mip.c \
            mip_sdk_3dm.c ring_buffer.c mip_sdk_inteface.c mip_sdk_filter.c \
            mip_sdk_ahrs.c

#Generate object file names from specified Library source files
LIB_OBJS := $(LIB_SRCS:.c=.o)

#Local source files
LOCAL_SRCS := mip_sdk_user_functions.c 

#Generate object file names from local source files
LOCAL_OBJS := $(LOCAL_SRCS:.c=.o)

#Utility source files
UTIL_SRCS := byteswap_utilities.c 

#Generate object file names from specified Utility source files
UTIL_OBJS := $(UTIL_SRCS:.c=.o)

#C compiler used for compiling project
CC=cc

#Compile flags for Project binary
PROJ_CFLAGS = -w

#Compile flags for object files
CFLAGS = -c -w

#To ENABLE Serial Port communication, comment out the following line
CFLAGS += -DUSE_USB_CONNECTION

#linking flags for linking compiler
LFLAGS = -lrt

#Remove command used to remove unwanted object files and project binary
#at `clean' command
RM = rm # -i 

#Make rules for the Project executable
$(PROJNAME): $(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS)
	$(CC) $(INCS) $(PROJ_CFLAGS) -o $(PROJNAME) $(PROJ_SRC) \
	$(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(LFLAGS) 

#Make rules for the Utility source files
$(UTIL_OBJS):
	$(CC) $(INCS) $(CFLAGS) $(UTIL_DIR)/$*.c $(LFLAGS) 

#Make rules for the Library source files
$(LIB_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $(LIB_DIR)/$*.c $(LFLAGS) 

#Make rules for the local source files
$(LOCAL_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $*.c $(LFLAGS) 

#Remove all object files and the project executable
clean_all:
	$(foreach filename, $(wildcard *.o $(PROJNAME)), $(RM) $(filename);)

#Remove all object files and the project executable
clean:
	$(foreach filename, $(wildcard *.o), $(RM) $(filename);)

#Object file dependencies below, each represents the location of the source
#code for the specified object file as well as all included headers in that 
#source.  (NOTE: Non-system headers ONLY are included below, host system should
#be configured to include all system headers automatically as the paths to 
#header files may vary by system.)
mip_sdk_user_functions.o: mip_sdk_user_functions.c \
 mip_sdk_user_functions.h ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h 

byteswap_utilities.o: ../../../../Utilities/Source/byteswap_utilities.c \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_system.o: ../../../../Library/Source/mip_sdk_system.c \
 ../../../../Library/Include/mip_sdk_system.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_base.o: ../../../../Library/Source/mip_sdk_base.c \
 ../../../../Library/Include/mip_sdk_base.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_gps.o: ../../../../Library/Source/mip_sdk_gps.c \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip.o: ../../../../Library/Source/mip.c ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_3dm.o: ../../../../Library/Source/mip_sdk_3dm.c \
 ../../../../Library/Include/mip_sdk_3dm.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip_sdk_ahrs.h

ring_buffer.o: ../../../../Library/Source/ring_buffer.c \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Library/Include/mip_types.h 

mip_sdk_inteface.o: ../../../../Library/Source/mip_sdk_inteface.c \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_filter.o: ../../../../Library/Source/mip_sdk_filter.c \
 ../../../../Library/Include/mip_sdk_filter.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_system.h

mip_sdk_ahrs.o: ../../../../Library/Source/mip_sdk_ahrs.c \
 ../../../../Library/Include/mip_sdk_ahrs.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

=== MIPSDK/C/Examples/Linux/GX4-15/GX4_15_Test/Makefile ===
#
# Makefile for MIP SDK Example for the GX4_15_TEST (linux version)
#
# Written by: Greggory P. Carpenter
#
# Copyright: LORD MicroStrain 2014
#
# This Makefile configured to work under GNU Make in linux with the gcc 
# compiler, but should be compatible with ANY C compiler on a system which 
# supports GNU Make or compatible Make alternative given appropriate 
# configuration. 
#
#
# THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING            
# CUSTOMERS WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER          
# FOR THEM TO SAVE TIME. AS A RESULT, MICROSTRAIN SHALL NOT BE HELD LIABLE     
# FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY        
# CLAIMS ARISING FROM THE CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY      
# CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH      
# THEIR PRODUCTS.
#
##############################################################################  

#Name of project executable binary
PROJNAME = GX4_15_TEST

#Name of Project Main source file
PROJ_SRC = GX4-15_Test.c GX4-15_Test.h

#Relative paths to include headers 
INCLUDE_DIRECTORIES = ../../../../Utilities/Include \
                      ../../../../Library/Include ./ \

#Realtive path to Utility source files
UTIL_DIR = ../../../../Utilities/Source

#Relative path to Library source files
LIB_DIR = ../../../../Library/Source

#Generate compiler inlcude flags from specified include directories
INCS += $(addprefix -I,$(INCLUDE_DIRECTORIES))

#Specify Library source files
LIB_SRCS := mip_sdk_system.c mip_sdk_base.c mip_sdk_gps.c mip.c \
            mip_sdk_3dm.c ring_buffer.c mip_sdk_inteface.c mip_sdk_filter.c \
            mip_sdk_ahrs.c

#Generate object file names from specified Library source files
LIB_OBJS := $(LIB_SRCS:.c=.o)

#Local source files
LOCAL_SRCS := mip_sdk_user_functions.c 

#Generate object file names from local source files
LOCAL_OBJS := $(LOCAL_SRCS:.c=.o)

#Utility source files
UTIL_SRCS := byteswap_utilities.c 

#Generate object file names from specified Utility source files
UTIL_OBJS := $(UTIL_SRCS:.c=.o)

#C compiler used for compiling project
CC=cc

#Compile flags for Project binary
PROJ_CFLAGS = -w

#Compile flags for object files
CFLAGS = -c -w

#To DISABLE default USB communication, comment out the following line
CFLAGS += -DUSE_USB_CONNECTION

#linking flags for linking compiler
LFLAGS = -lrt

#Remove command used to remove unwanted object files and project binary
#at `clean' command
RM = rm #-i 

#Make rules for the Project executable
$(PROJNAME): $(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(PROJ_SRC)
	$(CC) $(INCS) $(PROJ_CFLAGS) -o $(PROJNAME) $(PROJ_SRC) \
	$(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(LFLAGS) 

#Make rules for the Utility source files
$(UTIL_OBJS):
	$(CC) $(INCS) $(CFLAGS) $(UTIL_DIR)/$*.c $(LFLAGS) 

#Make rules for the Library source files
$(LIB_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $(LIB_DIR)/$*.c $(LFLAGS) 

#Make rules for the local source files
$(LOCAL_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $*.c $(LFLAGS) 

#Remove all object files
clean:
	$(foreach filename, $(wildcard *.o), $(RM) $(filename);)

#Remove all object files and the project executable
clean_all:
	$(foreach filename, $(wildcard *.o $(PROJNAME)), $(RM) $(filename);)

#Object file dependencies below, each represents the location of the source
#code for the specified object file as well as all included headers in that 
#source.  (NOTE: Non-system headers ONLY are included below, host system should
#be configured to include all system headers automatically as the paths to 
#header files may vary by system.)
mip_sdk_user_functions.o: mip_sdk_user_functions.c \
 mip_sdk_user_functions.h ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h 

byteswap_utilities.o: ../../../../Utilities/Source/byteswap_utilities.c \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_system.o: ../../../../Library/Source/mip_sdk_system.c \
 ../../../../Library/Include/mip_sdk_system.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_base.o: ../../../../Library/Source/mip_sdk_base.c \
 ../../../../Library/Include/mip_sdk_base.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_gps.o: ../../../../Library/Source/mip_sdk_gps.c \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip.o: ../../../../Library/Source/mip.c ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_3dm.o: ../../../../Library/Source/mip_sdk_3dm.c \
 ../../../../Library/Include/mip_sdk_3dm.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip_sdk_ahrs.h

ring_buffer.o: ../../../../Library/Source/ring_buffer.c \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Library/Include/mip_types.h 

mip_sdk_inteface.o: ../../../../Library/Source/mip_sdk_inteface.c \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_filter.o: ../../../../Library/Source/mip_sdk_filter.c \
 ../../../../Library/Include/mip_sdk_filter.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_system.h

mip_sdk_ahrs.o: ../../../../Library/Source/mip_sdk_ahrs.c \
 ../../../../Library/Include/mip_sdk_ahrs.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

=== MIPSDK/C/Examples/Linux/GX4-25/GX4_25_Test/Makefile ===
#
# Makefile for MIP SDK Example for the GX4_25_TEST (linux version)
#
# Written by: Greggory P. Carpenter
#
# Copyright: LORD MicroStrain 2014
#
# This Makefile configured to work under GNU Make in linux with the gcc 
# compiler, but should be compatible with ANY C compiler on a system which 
# supports GNU Make or compatible Make alternative given appropriate 
# configuration. 
#
#
# THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING            
# CUSTOMERS WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER          
# FOR THEM TO SAVE TIME. AS A RESULT, MICROSTRAIN SHALL NOT BE HELD LIABLE     
# FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY        
# CLAIMS ARISING FROM THE CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY      
# CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH      
# THEIR PRODUCTS.
#
##############################################################################  

#Name of project executable binary
PROJNAME = GX4_25_TEST

#Name of Project Main source file
PROJ_SRC = GX4-25_Test.c GX4-25_Test.h

#Relative paths to include headers 
INCLUDE_DIRECTORIES = ../../../../Utilities/Include \
                      ../../../../Library/Include ./ \

#Realtive path to Utility source files
UTIL_DIR = ../../../../Utilities/Source

#Relative path to Library source files
LIB_DIR = ../../../../Library/Source

#Generate compiler inlcude flags from specified include directories
INCS += $(addprefix -I,$(INCLUDE_DIRECTORIES))

#Specify Library source files
LIB_SRCS := mip_sdk_system.c mip_sdk_base.c mip_sdk_gps.c mip.c \
            mip_sdk_3dm.c ring_buffer.c mip_sdk_inteface.c mip_sdk_filter.c \
            mip_sdk_ahrs.c

#Generate object file names from specified Library source files
LIB_OBJS := $(LIB_SRCS:.c=.o)

#Local source files
LOCAL_SRCS := mip_sdk_user_functions.c 

#Generate object file names from local source files
LOCAL_OBJS := $(LOCAL_SRCS:.c=.o)

#Utility source files
UTIL_SRCS := byteswap_utilities.c 

#Generate object file names from specified Utility source files
UTIL_OBJS := $(UTIL_SRCS:.c=.o)

#C compiler used for compiling project
CC=cc

#Compile flags for Project binary
PROJ_CFLAGS = -w

#Compile flags for object files
CFLAGS = -c -w

#To DISABLE default USB communication, comment out the following line
CFLAGS += -DUSE_USB_CONNECTION

#linking flags for linking compiler
LFLAGS = -lrt

#Remove command used to remove unwanted object files and project binary
#at `clean' command
RM = rm #-i 

#Make rules for the Project executable
$(PROJNAME): $(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(PROJ_SRC)
	$(CC) $(INCS) $(PROJ_CFLAGS) -o $(PROJNAME) $(PROJ_SRC) \
	$(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(LFLAGS) 

#Make rules for the Utility source files
$(UTIL_OBJS):
	$(CC) $(INCS) $(CFLAGS) $(UTIL_DIR)/$*.c $(LFLAGS) 

#Make rules for the Library source files
$(LIB_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $(LIB_DIR)/$*.c $(LFLAGS) 

#Make rules for the local source files
$(LOCAL_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $*.c $(LFLAGS) 

#Remove all object files
clean:
	$(foreach filename, $(wildcard *.o), $(RM) $(filename);)

#Remove all object files and the project executable
clean_all:
	$(foreach filename, $(wildcard *.o $(PROJNAME)), $(RM) $(filename);)

#Object file dependencies below, each represents the location of the source
#code for the specified object file as well as all included headers in that 
#source.  (NOTE: Non-system headers ONLY are included below, host system should
#be configured to include all system headers automatically as the paths to 
#header files may vary by system.)
mip_sdk_user_functions.o: mip_sdk_user_functions.c \
 mip_sdk_user_functions.h ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h 

byteswap_utilities.o: ../../../../Utilities/Source/byteswap_utilities.c \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_system.o: ../../../../Library/Source/mip_sdk_system.c \
 ../../../../Library/Include/mip_sdk_system.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_base.o: ../../../../Library/Source/mip_sdk_base.c \
 ../../../../Library/Include/mip_sdk_base.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_gps.o: ../../../../Library/Source/mip_sdk_gps.c \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip.o: ../../../../Library/Source/mip.c ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_3dm.o: ../../../../Library/Source/mip_sdk_3dm.c \
 ../../../../Library/Include/mip_sdk_3dm.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip_sdk_ahrs.h

ring_buffer.o: ../../../../Library/Source/ring_buffer.c \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Library/Include/mip_types.h 

mip_sdk_inteface.o: ../../../../Library/Source/mip_sdk_inteface.c \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_filter.o: ../../../../Library/Source/mip_sdk_filter.c \
 ../../../../Library/Include/mip_sdk_filter.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_system.h

mip_sdk_ahrs.o: ../../../../Library/Source/mip_sdk_ahrs.c \
 ../../../../Library/Include/mip_sdk_ahrs.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

=== MIPSDK/C/Examples/Linux/GX4-45/GX4_45_Test/Makefile ===
#
# Makefile for MIP SDK Example for the GX4_45_TEST (linux version)
#
# Written by: Greggory P. Carpenter
#
# Copyright: LORD MicroStrain 2014
#
# This Makefile configured to work under GNU Make in linux with the gcc 
# compiler, but should be compatible with ANY C compiler on a system which 
# supports GNU Make or compatible Make alternative given appropriate 
# configuration. 
#
#
# THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING            
# CUSTOMERS WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER          
# FOR THEM TO SAVE TIME. AS A RESULT, MICROSTRAIN SHALL NOT BE HELD LIABLE     
# FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY        
# CLAIMS ARISING FROM THE CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY      
# CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH      
# THEIR PRODUCTS.
#
##############################################################################  

#Name of project executable binary
PROJNAME = GX4_45_TEST

#Name of Project Main source file
PROJ_SRC = GX4-45_Test.c GX4-45_Test.h

#Relative paths to include headers 
INCLUDE_DIRECTORIES = ../../../../Utilities/Include \
                      ../../../../Library/Include ./ \

#Realtive path to Utility source files
UTIL_DIR = ../../../../Utilities/Source

#Relative path to Library source files
LIB_DIR = ../../../../Library/Source

#Generate compiler inlcude flags from specified include directories
INCS += $(addprefix -I,$(INCLUDE_DIRECTORIES))

#Specify Library source files
LIB_SRCS := mip_sdk_system.c mip_sdk_base.c mip_sdk_gps.c mip.c \
            mip_sdk_3dm.c ring_buffer.c mip_sdk_inteface.c mip_sdk_filter.c \
            mip_sdk_ahrs.c

#Generate object file names from specified Library source files
LIB_OBJS := $(LIB_SRCS:.c=.o)

#Local source files
LOCAL_SRCS := mip_sdk_user_functions.c 

#Generate object file names from local source files
LOCAL_OBJS := $(LOCAL_SRCS:.c=.o)

#Utility source files
UTIL_SRCS := byteswap_utilities.c 

#Generate object file names from specified Utility source files
UTIL_OBJS := $(UTIL_SRCS:.c=.o)

#C compiler used for compiling project
CC=cc

#Compile flags for Project binary
PROJ_CFLAGS = -w

#Compile flags for object files
CFLAGS = -c -w

#To DISABLE default USB communication, comment out the following line
CFLAGS += -DUSE_USB_CONNECTION

#linking flags for linking compiler
LFLAGS = -lrt

#Remove command used to remove unwanted object files and project binary
#at `clean' command
RM = rm #-i 

#Make rules for the Project executable
$(PROJNAME): $(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(PROJ_SRC)
	$(CC) $(INCS) $(PROJ_CFLAGS) -o $(PROJNAME) $(PROJ_SRC) \
	$(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(LFLAGS) 

#Make rules for the Utility source files
$(UTIL_OBJS):
	$(CC) $(INCS) $(CFLAGS) $(UTIL_DIR)/$*.c $(LFLAGS) 

#Make rules for the Library source files
$(LIB_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $(LIB_DIR)/$*.c $(LFLAGS) 

#Make rules for the local source files
$(LOCAL_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $*.c $(LFLAGS) 

#Remove all object files
clean:
	$(foreach filename, $(wildcard *.o), $(RM) $(filename);)

#Remove all object files and the project executable
clean_all:
	$(foreach filename, $(wildcard *.o $(PROJNAME)), $(RM) $(filename);)

#Object file dependencies below, each represents the location of the source
#code for the specified object file as well as all included headers in that 
#source.  (NOTE: Non-system headers ONLY are included below, host system should
#be configured to include all system headers automatically as the paths to 
#header files may vary by system.)
mip_sdk_user_functions.o: mip_sdk_user_functions.c \
 mip_sdk_user_functions.h ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h 

byteswap_utilities.o: ../../../../Utilities/Source/byteswap_utilities.c \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_system.o: ../../../../Library/Source/mip_sdk_system.c \
 ../../../../Library/Include/mip_sdk_system.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_base.o: ../../../../Library/Source/mip_sdk_base.c \
 ../../../../Library/Include/mip_sdk_base.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_gps.o: ../../../../Library/Source/mip_sdk_gps.c \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip.o: ../../../../Library/Source/mip.c ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_3dm.o: ../../../../Library/Source/mip_sdk_3dm.c \
 ../../../../Library/Include/mip_sdk_3dm.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip_sdk_ahrs.h

ring_buffer.o: ../../../../Library/Source/ring_buffer.c \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Library/Include/mip_types.h 

mip_sdk_inteface.o: ../../../../Library/Source/mip_sdk_inteface.c \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_filter.o: ../../../../Library/Source/mip_sdk_filter.c \
 ../../../../Library/Include/mip_sdk_filter.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_system.h

mip_sdk_ahrs.o: ../../../../Library/Source/mip_sdk_ahrs.c \
 ../../../../Library/Include/mip_sdk_ahrs.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

=== MIPSDK/C/Examples/Linux/RQ1/RQ1_Test/Makefile ===
#
# Makefile for MIP SDK Example for the RQ1_TEST (linux version)
#
# Written by: Greggory P. Carpenter
#
# Copyright: LORD MicroStrain 2014
#
# This Makefile configured to work under GNU Make in linux with the gcc 
# compiler, but should be compatible with ANY C compiler on a system which 
# supports GNU Make or compatible Make alternative given appropriate 
# configuration. 
#
#
# THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING            
# CUSTOMERS WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER          
# FOR THEM TO SAVE TIME. AS A RESULT, MICROSTRAIN SHALL NOT BE HELD LIABLE     
# FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY        
# CLAIMS ARISING FROM THE CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY      
# CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH      
# THEIR PRODUCTS.
#
##############################################################################  

#Name of project executable binary
PROJNAME = RQ1_TEST

#Name of Project Main source file
PROJ_SRC = RQ1_Test.c

#Relative paths to include headers 
INCLUDE_DIRECTORIES = ../../../../Utilities/Include \
                      ../../../../Library/Include ./ \

#Realtive path to Utility source files
UTIL_DIR = ../../../../Utilities/Source

#Relative path to Library source files
LIB_DIR = ../../../../Library/Source

#Generate compiler inlcude flags from specified include directories
INCS += $(addprefix -I,$(INCLUDE_DIRECTORIES))

#Specify Library source files
LIB_SRCS := mip_sdk_system.c mip_sdk_base.c mip_sdk_gps.c mip.c \
            mip_sdk_3dm.c ring_buffer.c mip_sdk_inteface.c mip_sdk_filter.c \
            mip_sdk_ahrs.c

#Generate object file names from specified Library source files
LIB_OBJS := $(LIB_SRCS:.c=.o)

#Local source files
LOCAL_SRCS := mip_sdk_user_functions.c 

#Generate object file names from local source files
LOCAL_OBJS := $(LOCAL_SRCS:.c=.o)

#Utility source files
UTIL_SRCS := byteswap_utilities.c 

#Generate object file names from specified Utility source files
UTIL_OBJS := $(UTIL_SRCS:.c=.o)

#C compiler used for compiling project
CC=cc

#Compile flags for Project binary
PROJ_CFLAGS = -w -g

#Compile flags for object files
CFLAGS = -c -w -g

#To ENABLE Serial Port communication, comment out the following line
CFLAGS += -DUSE_USB_CONNECTION 

#To ENABLE Communication Logging uncomment the following line
#(SEE mip_user_defined_functions.h for log filename)
#CFLAGS += -DLOG_COMMUNICATION

#linking flags for linking compiler
LFLAGS = -lrt

#Remove command used to remove unwanted object files and project binary
#at `clean' command
RM = rm #-i 

#Make rules for the Project executable
$(PROJNAME): $(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS)
	$(CC) $(INCS) $(PROJ_CFLAGS) -o $(PROJNAME) $(PROJ_SRC) \
	$(LIB_OBJS) $(UTIL_OBJS) $(LOCAL_OBJS) $(LFLAGS)

#Make rules for the Utility source files
$(UTIL_OBJS):
	$(CC) $(INCS) $(CFLAGS) $(UTIL_DIR)/$*.c $(LFLAGS)

#Make rules for the Library source files
$(LIB_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $(LIB_DIR)/$*.c $(LFLAGS)

#Make rules for the local source files
$(LOCAL_OBJS): $(UTIL_OBJS) 
	$(CC) $(INCS) $(CFLAGS) $*.c $(LFLAGS)

#Remove all object files and the project executable
clean_all:
	$(foreach filename, $(wildcard *.o $(PROJNAME)), $(RM) $(filename);)

#Remove all object files
clean:
	$(foreach filename, $(wildcard *.o), $(RM) $(filename);)

#Object file dependencies below, each represents the location of the source
#code for the specified object file as well as all included headers in that 
#source.  (NOTE: Non-system headers ONLY are included below, host system should
#be configured to include all system headers automatically as the paths to 
#header files may vary by system.)
mip_sdk_user_functions.o: mip_sdk_user_functions.c \
 mip_sdk_user_functions.h ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h 

byteswap_utilities.o: ../../../../Utilities/Source/byteswap_utilities.c \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_system.o: ../../../../Library/Source/mip_sdk_system.c \
 ../../../../Library/Include/mip_sdk_system.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_base.o: ../../../../Library/Source/mip_sdk_base.c \
 ../../../../Library/Include/mip_sdk_base.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_gps.o: ../../../../Library/Source/mip_sdk_gps.c \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip.o: ../../../../Library/Source/mip.c ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_3dm.o: ../../../../Library/Source/mip_sdk_3dm.c \
 ../../../../Library/Include/mip_sdk_3dm.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_gps.h \
 ../../../../Library/Include/mip_sdk_ahrs.h

ring_buffer.o: ../../../../Library/Source/ring_buffer.c \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Library/Include/mip_types.h 

mip_sdk_inteface.o: ../../../../Library/Source/mip_sdk_inteface.c \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

mip_sdk_filter.o: ../../../../Library/Source/mip_sdk_filter.c \
 ../../../../Library/Include/mip_sdk_filter.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_system.h

mip_sdk_ahrs.o: ../../../../Library/Source/mip_sdk_ahrs.c \
 ../../../../Library/Include/mip_sdk_ahrs.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/mip_types.h \
 ../../../../Library/Include/mip_sdk_interface.h \
 ../../../../Library/Include/mip_sdk_config.h mip_sdk_user_functions.h \
 ../../../../Library/Include/mip.h \
 ../../../../Library/Include/ring_buffer.h \
 ../../../../Utilities/Include/byteswap_utilities.h \
 ../../../../Library/Include/mip_types.h

=== debian/changelog ===
ros-kinetic-microstrain-mips (0.0.3-1xenial) xenial; urgency=high

  * Made diagnostic_updater build dep as well.
  * Merge pull request #21 <https://github.com/ros-drivers/microstrain_mips/issues/21> from samkys/cleanup
    Cleanup
  * Add roslint and cleaned up files accordingly.
  * Cleaned up indentation levels, removed tabs and replaced with spaces, and updated curly brace locations according to: http://wiki.ros.org/CppStyleGuide section 6.
  * Cleanup that was forgotten in last commit.
  * Added static IMU message covariance population via parameters.
  * Contributors: Sam, Tony Baltovski

 -- Brian Bingham <briansbingham@gmail.com>  Mon, 05 Aug 2019 04:00:00 -0000

ros-kinetic-microstrain-mips (0.0.2-1xenial) xenial; urgency=high

  * Merge pull request #18 <https://github.com/ros-drivers/microstrain_mips/issues/18> from ljazzal/master
    Harmonized package name throughout the source code
  * renamed remaining "microstrain_3dm_node"
  * renamed microstrain_3dm to microstrain_mips
  * Merge pull request #16 <https://github.com/ros-drivers/microstrain_mips/issues/16> from wxmerkt/wxm-fix-compilation
    Fix compilation (set exported targets dependency)
  * Fix compilation (set exported targets dependency)
  * Merge pull request #15 <https://github.com/ros-drivers/microstrain_mips/issues/15> from ljazzal/master
    Enabled diagnostic updater for microstrain ROS driver extension
  * Merge pull request #14 <https://github.com/ros-drivers/microstrain_mips/issues/14> from wxmerkt/wxm-fix-install
    Do not install udev
  * changed namespace of microstrain sensor node
  * Do not install udev
    Fixes build in install workspace after #11 <https://github.com/ros-drivers/microstrain_mips/issues/11>
  * fixed status callback
  * minor fixes
  * minor fixes: naming convention
  * Changed default port name
  * potentially fixing diagnostic updater
  * Replaced several services with Trigger srv
  * Added comments
  * Minor changes to default settings
  * edited device status function
  * Edited cmakelists
  * Adding to readme
  * Adding to readme
  * Testing readme additions
  * Testing readme additions
  * Testing readme additions
  * deleted extra variables
  * Diagnostic reporting working on GX5-25
  * Latest code
  * Added diagnostics, commenting
  * Added gx5-45 files
  * Turned basic status into mssg
  * having trouble with device status function
  * Added srvs for functions that were previously not working.
  * added more services.
  * Added basic and diagnostic status reporting through minor changes to sdk.
  * Changed names to generic GX5.
  * added srvs to change settings.
  * minor edits
  * Merge pull request #1 <https://github.com/ros-drivers/microstrain_mips/issues/1> from shreyasubbu/minor-changes
    Minor changes for SetBias service.
  * Minor changes for SetBias service.
  * can compile, but does not work
  * 1st commit
  * Merge pull request #11 <https://github.com/ros-drivers/microstrain_mips/issues/11> from ros-drivers/udev
    Installed udev rules for release.
    Great - thank you.
  * Installed udev rules for release.
  * Merge pull request #8 <https://github.com/ros-drivers/microstrain_mips/issues/8> from pvechersky/feature/launch_args
    Adding arguments to launch files
  * Merge pull request #10 <https://github.com/ros-drivers/microstrain_mips/issues/10> from wxmerkt/master
    Turn off MIPSDK compile time warnings.
    Thank you!
  * Turn off MIPSDK compile time warnings.
  * Removing hardware-specific kf and pioneer launch files
  * Adding arguments to launch files, making microstrain.launch more generic
  * Merge pull request #7 <https://github.com/ros-drivers/microstrain_mips/issues/7> from pvechersky/feature/package_installation
    Adding the installation step to CMakeLists.txt
  * Adding the installation step to CMakeLists.txt
  * Merge branch 'gx25'
  * Merge pull request #3 <https://github.com/ros-drivers/microstrain_mips/issues/3> from clearpathrobotics/gx25
    Gx25 launch file and udev rule
  * Create 99-microstrain.rules
    Creates a symlink in /dev when a Microstrain device is connected.
  * Update microstrain_25.launch
    removed references to GX4
    now looks for the "/dev/microstrain" symlink created by the udev rule
    changed the frame_ids to more conventional or useful names
  * bumped up spin rate
  * Merge branch 'master' into gx25
  * adding pioneer launch
  * Set spin rate as a function of message updates.  Addressed sigterm issue
  * prototype driver for -25
  * adding kf launch file
  * adding kf specific launch file
  * futzing with quat
  * Changing conversion from MIP quaterinion to tf2
  * Changing conversion from MIP quaterinion to tf2
  * Changing conversion from MIP quaterinion to tf2
  * Changing conversion from MIP quaterinion to tf2
  * Changing conversion from MIP quaterinion to tf2
  * Changing conversion from MIP quaterinion to tf2
  * adding debug for filter state
  * adding debug for filter state
  * adding debug for filter state
  * adding debug for filter state
  * adding debug for filter state
  * bug fix
  * adding kf launch file
  * debugging on kf
  * debugging on kf
  * resolving conflicts
  * docs
  * cleaning package.xml
  * adding licensing information
  * adding wiki file
  * adding explicit link to cmake for hydro
  * Merge branch 'master' of github.com:bsb808/microstrain_3dm_gx5_45
  * adding dependency
  * Update README.md
  * adding a transform and cleaning up dependencies
  * Update README.md
  * Merge branch 'master' of github.com:bsb808/microstrain_3dm_gx5_45
  * Update README.md
  * incremental progress on cleaning up settings
  * reorganizing ode and includes - separating library and node executable.
  * reorganized include directory
  * Update README.md
  * added many functions, parameters and a reset_kf service
  * Update README.md
  * Update README.md
  * Update README.md
  * publishing up to 500 Hz!
  * adding a publish test
  * Merge branch 'master' of github.com:bsb808/microstrain_3dm_gx5_45


=== debian/control ===
Source: ros-kinetic-microstrain-mips
Section: misc
Priority: extra
Maintainer: Brian Bingham <briansbingham@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-diagnostic-updater, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf2, ros-kinetic-tf2-ros
Homepage: http://wiki.ros.org/microstrain_3dm_gx5_45
Standards-Version: 3.9.2

Package: ros-kinetic-microstrain-mips
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cmake-modules, ros-kinetic-diagnostic-aggregator, ros-kinetic-diagnostic-updater, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf2, ros-kinetic-tf2-ros
Description: The microstrain_mips package provides a driver for the LORD/Microstrain 3DM_GX5_XX GPS-aided IMU sensor.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-microstrain-mips//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
